cURL
curl --request GET \ --url https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals/{proposal_address} \ --header 'Authorization: Bearer <token>' \ --header 'x-grid-environment: <x-grid-environment>'
{ "data": { "approved": [ "<string>" ], "cancelled": [ "<string>" ], "consensusAccount": "<string>", "consensusAccountType": "<string>", "proposalAddress": "<string>", "rejected": [ "<string>" ], "status": "<string>", "statusTimestamp": 123, "blockTime": "2023-11-07T05:31:56Z", "lastModifiedSignature": "<string>", "mainAccountAddress": "<string>", "settingsAddress": "<string>", "transactionIndex": 123 }, "metadata": { "request_id": "<string>", "timestamp": "2023-11-07T05:31:56Z" } }
Retrieve details for a specific proposal on a smart account
Your Grid API key from the Grid Dashboard
Target Solana environment
Smart account address
Proposal address
Return raw on-chain proposal status value
Proposal retrieved successfully
Shared response structure for proposal endpoints
Show child attributes
Was this page helpful?